<?php
// Conexión a la base de datos
$servername = "localhost";
$username = "plusmusi_owner";
$password = "^@#F-NBx3W}+";
$dbname = "plusmusi_data";

$conn = new mysqli($servername, $username, $password, $dbname);

// Verificar la conexión
if ($conn->connect_error) {
    die("Error de conexión: " . $conn->connect_error);
}

$conn->set_charset("utf8mb4");

// Consultar los últimos 30 artistas agregados
$sql = "SELECT genero, artista FROM artistas ORDER BY id DESC LIMIT 30";
$result = $conn->query($sql);

// Verificar si hay resultados
if ($result->num_rows > 0) {
    echo '<ul class="lista-tags">';
    $classes = array("tag1", "tag2", "tag3", "tag4", "tag5", "tag6", "tag7", "tag8");
    
    while($row = $result->fetch_assoc()) {
        $genero = limpiar_url($row['genero']);
        $artista = limpiar_url($row['artista']);
        $alt_artista = htmlspecialchars($row['artista']);
        $title_artista = htmlspecialchars($row['artista']);
        $class = $classes[array_rand($classes)];
        $url = "https://wvw.plusmusicas.com/{$genero}/{$artista}/";
        
        echo "<li><a alt='{$alt_artista}' title='{$title_artista}' href='{$url}' class='{$class}'>{$alt_artista}</a></li>";
    }
    
    echo '</ul>';
} else {
    echo "No se encontraron artistas.";
}

// Cerrar la conexión a la base de datos
$conn->close();

?>
<ul class="lista-tags sales">
    <li><a href="/tump3xd.com" title="Tu mp3 XD">Tu mp3 XD</a></li>
    <li><a href="/simp3s.com" title="SiMP3s">SiMP3s</a></li>
    <li><a href="/genteflow.com" title="Genteflow">Genteflow</a></li>
    <li><a href="/foxmusica.com" title="FoxMusica">FoxMusica</a></li>
    <li><a href="/mp3xd.com" title="Mp3xd">Mp3xd</a></li>
    <li><a href="/discosonico.com" title="Discosonico">Discosonico</a></li>
    <li><a href="/ricotono.com" title="Ricotono">Ricotono</a></li>
    <li><a href="/escucharmusic.com" title="EscucharMusic">EscucharMusic</a></li>
    <li><a href="/caleta.com" title="Caleta">Caleta</a></li>
    <li><a href="/foxdisco.com" title="FoxDisco">FoxDisco</a></li>
    <li><a href="/terminos-condiciones.php">Términos y Condiciones</a></li>
    <li><a href="/politica-privacidad.php">Privacidad</a></li>
    <li><a href="/dmca.php">DMCA</a></li>
</ul>
    <div class="creditos">
        <span>Esta web no aloja ningún archivo mp3</span>
        <span><b>&copy; PlusMusicas <?=$anio?> Chile - Argentina - México. All Rights Reserved.</b></span>
        <div style="display:none;">
            <h2>Musica Online, Escuchar musica online, Musica En Linea, Musica en linea gratis, Escuchar Musica Gratis, Musica Online <?=$anio?>, Escuchar Musica</h2>
            <h3>Musica <?=$anio?>, Musica <?=$anio?> Online, Escuchar Musica Gratis <?=$anio?>, Musica <?=$anio?> Gratis, Escuchas, Musica de Moda.</h3>
        </div>
    </div>